## org.apache.lucene.index
Class IndexFileNameFilter

    java.lang.Object
      org.apache.lucene.index.IndexFileNameFilter

All Implemented Interfaces:
  java.io.FilenameFilter

    public class IndexFileNameFilter

extends java.lang.Object
implements java.io.FilenameFilter

Filename filter that accept filenames and extensions only created by Lucene.

Version:
  $rcs = ' $Id: Exp $ ' ;

Method Summary
`boolean` `accept(java.io.File dir, java.lang.String name)`
`static IndexFileNameFilter` `getFilter()`
`boolean` `isCFSFile(java.lang.String name)` Returns true if this is a file that would be contained in a CFS file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### accept

    public boolean accept(java.io.File dir,
                          java.lang.String name)

  Specified by:
    `accept` in interface `java.io.FilenameFilter`

### isCFSFile

    public boolean isCFSFile(java.lang.String name)

  Returns true if this is a file that would be contained in a CFS file. This function should only be called on files that pass the above "accept" (ie, are already known to be a Lucene index file).

### getFilter

    public static IndexFileNameFilter getFilter()

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.